﻿using System;
using System.Collections.ObjectModel;

namespace SimpleAutoComplete
{
    public class Country
    {
		public override string ToString()
		{
			return Name;
		}

		public static readonly string[] Countries = { "Germany", "Japan", "Australia",
			"Bangladesh", "Brazil", "Canada", "China", "France", "India", "Nepal",
			"Pakistan", "Srilanka" };
		public string Name { get; set; }

		public static ObservableCollection<Country> GetCountries()
		{
			ObservableCollection<Country> listContries = new ObservableCollection<Country>();

			foreach (var item in Countries)
			{
				listContries.Add(new Country() { Name = item });
			}
			return listContries;
		}
    }
}
